package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import org.w3c.dom.Document;

/**
 * Because each {@link MetadataHolder} will also contain implement
 * the {@link IdentifierHolder}, make this class a subclass
 * of the {@link IdentifierHolderImpl}. Makes things easier ;)
 * 
 * @author aw
 *
 */
class MetadataHolderImpl extends IdentifierHolderImpl implements MetadataHolder {

	private final GenericObjectHolder<Document> mObjectHolder;
	MetadataHolderImpl() {
		mObjectHolder = new GenericObjectHolder<Document>();
	}

	@Override
	public void addMetadata(Document md) {
		mObjectHolder.addElement(md);
	}

	@Override
	public Collection<Document> getMetadata() {
		return mObjectHolder.getElements();
	}
}
