package de.fhhannover.inform.trust.ifmapj.identifier;

/**
 * Represents an IF-MAP access-request identifier.
 * 
 * @author aw
 *
 */
public class AccessRequest extends IdentifierWithAd {
	
	
	private String mName;

	/**
	 * Package constructor.
	 */
	AccessRequest() { }

	public void setName(String name) {
		mName = name;
	}

	public String getName() {
		return mName;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.format("ar{%s%s}", getName(), super.toString());
	}
}
